Bug 64373 - libpng10 rpm dependencies
libpng10 rpm dependencies
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: libpng10 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-02 22:39 EDT by ellson
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-12 13:13:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ellson 2002-05-02 22:39:34 EDT
Description of Problem:

[root@beermat rawhide]# rpm -qa | grep libpng
libpng-1.0.12-2
libpng-devel-1.2.1-2
libpng-1.2.1-2
[root@beermat rawhide]# rpm -Uvh libpng10-1.0.12-6.i386.rpm 
error: Failed dependencies:
	libpng < 1.2.0 conflicts with libpng10-1.0.12-6

Version-Release number of selected component (if applicable):
libpng10-1.0.12-6
libpng-1.2.1-2
rawhide-release-20020502-1

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Bill Nottingham 2002-06-21 00:47:58 EDT
Please retest against current rawhide.
Comment 2 ellson 2002-06-21 06:39:56 EDT
At some point recently I've apparently managed to install all libpng and
libpng10 rpms.  I can't guarantee that I didn't use --force.

Cleanly removing and reinstalling libpng* is difficult since *everything* seems
to depend on png these days.

I tried --replacepkgs and there seems to be still a problem with just libpng.

# rpm -qa | grep libpng
libpng-devel-1.2.2-5
libpng-1.2.2-5
libpng10-1.0.13-4
libpng10-devel-1.0.13-4
# rpm -Uvh --replacepkgs libpng-1.2.2-5.i386.rpm libpng-devel-1.2.2-5.i386.rpm
libpng10-1.0.13-4.i386.rpm libpng10-devel-1.0.13-4.i386.rpm
Preparing...                ########################################### [100%]
file /usr/lib/libpng12.so.0.1.2.2 from install of libpng-1.2.2-5 conflicts with
file from package libpng-1.2.2-5
file /usr/share/man/man5/png.5.gz from install of libpng-1.2.2-5 conflicts with
file from package libpng-1.2.2-5
file /usr/lib/libpng12.a from install of libpng-devel-1.2.2-5 conflicts with
file from package libpng-devel-1.2.2-5
file /usr/share/man/man3/libpng.3.gz from install of libpng-devel-1.2.2-5
conflicts with file from package libpng-devel-1.2.2-5
file /usr/share/man/man3/libpngpf.3.gz from install of libpng-devel-1.2.2-5
conflicts with file from package libpng-devel-1.2.2-5


Note You need to log in before you can comment on or make changes to this bug.